#!/usr/local/bin/perl

# Logfile name
$file = "./logs/access.log";

# Get current date/time
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
$year += 1900;
$mon++;

# Output
open(OUT, ">> $file");
print OUT
    "1#($ARGV[0])$year/$mon/$mday $hour:$min:$sec\n",   # Date/Time
    "2#$ENV{'HTTP_USER_AGENT'}\n",                      # OS/Browser
    "3#$ENV{'HTTP_REFERER'}\n",                         # Refer
    "4#$ENV{'REMOTE_HOST'}($ENV{'REMOTE_ADDR'})\n",     # Host/IP
    "\n";
close(OUT);

exit 0;
